Subject: bug#48268: 28.0.50; Blank screen when switching virtual desktops or when starting exwm (regression from 483c5e9)

From: martin rudalics <[email-masked]>
Date: Fri, 14 May 2021 09:09:26 +0200

A
 > The problem is still present (using 43701a8) with XMonad: switching to a
 > different virtual desktop leads to a blank screen. It still responds to (at
 > least) some keyboard shortcuts (I can close with C-x C-x) and if the menu

Is that C-x C-c or is C-x C-x special for you?

 > bar or the toolbar are active they also respond to some mouse clicks.
 >
 > Interestingly, the problem does not show up if I launch Emacs in an XMonad
 > session inside XMonad using xephyr.

I'm a bit too dense to understand what you are doing and what does not
work for you.  Is the behavior of Xmonad showing an Emacs frame OK as
long as you do not switch to a different virtual desktop?  Are tool and
menu bar shown in the blank screen case?  Does a blank screen blank out
other things besides Emacs.  Does it work when Emacs is not supposed to
be shown on that "different virtual desktop"?

In either case please try to identify the commit that broke this - I
have my slight doubts that it is 483c5e9.  Could it be already a190b4c?

As soon as you have done that, I would like to give you a few
instructions to make the code that broke this a NOOP and, in the worst
case, make its execution optional on tiling WMs.

Thanks, martin